import type { UmbBlockTypeWithGroupKey } from '../../types.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import '../block-type-card/index.js';
/** TODO: Look into sending a "change" event when there is a change, rather than create, delete, and change event. Make sure it doesn't break move for RTE/List/Grid. [LI] */
export declare class UmbInputBlockTypeElement<BlockType extends UmbBlockTypeWithGroupKey = UmbBlockTypeWithGroupKey> extends UmbLitElement {
    #private;
    set value(items: BlockType[]);
    get value(): BlockType[];
    set propertyAlias(value: string | undefined);
    get propertyAlias(): string | undefined;
    workspacePath?: string;
    private _pickerPath?;
    private _value;
    constructor();
    deleteItem(contentElementTypeKey: string): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbInputBlockTypeElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-block-type': UmbInputBlockTypeElement;
    }
}
